--- title: "Get log count by period" slug: "analytics-cloudloganalytics-getlogstatus-period" updated: 2026-09-17T10:05:41Z published: 2026-09-17T10:05:41Z canonical: "api.ncloud-docs.com/analytics-cloudloganalytics-getlogstatus-period" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get log count by period Available in Classic and VPC Get the number of logs collected during the query period in the Cloud Log Analytics service on a specific cycle basis. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/{regionCode}-v1/logs/count/interval | ### Request headers For information about the headers common to all Cloud Log Analytics APIs, see [Cloud Log Analytics request headers](/docs/en/analytics-cloudloganalytics#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Required | Region code - `kr` \| `sgn` \| `jpn` \| `uswn` \| `den` - `kr`: Korea Region - `sgn`: Singapore Region - `jpn`: Japan Region - `uswn`: US West Region - `den`: Germany Region | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `startTime` | String | Optional | Query start date and time - Unix timestamp format or parameter input - `now-1h` (default) - `1720828861`, `now-1h`, `now-1d` | | `endTime` | String | Optional | Query end date and time - Unix timestamp format or parameter input - `now-1h` (default) - `1720828861`, `now-1h`, `now-1d` | | `interval` | String | Optional | Query interval - `now-1d` (default) - `1d`, `1h`, `1m` | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cloudloganalytics.apigw.ntruss.com/api/{regionCode}-v1/logs/count/interval' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response status codes | | `message` | String | - | Response status message | | `result` | Integer | - | Response result | | `result.chartData` | Array | - | Log count | ### Response status codes For information about the HTTP status codes common to all Cloud Log Analytics APIs, see [Cloud Log Analytics response status codes](/docs/en/analytics-cloudloganalytics#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "The request has been successfully processed.", "result": { "chartData": [ [ "11-18", 47800 ], [ "11-19", 12555 ] ] } } ```